> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useduro.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Pay a checkout session



## OpenAPI

````yaml /openapi.json post /checkout/{token}/pay
openapi: 3.1.0
info:
  title: Duro API
  version: 1.0.0
  description: >-
    Recovery-first subscription billing. Authenticate with a secret key
    (sk_test_ / sk_live_) as a bearer token. Amounts are in integer minor units
    (kobo).
servers:
  - url: https://api.useduro.com
    description: Production (live)
  - url: https://sandbox.useduro.com
    description: Sandbox (test)
security:
  - bearerAuth: []
tags:
  - name: Plans
  - name: Promo Codes
  - name: Payment Links
  - name: Customers
  - name: Transactions
  - name: Subscriptions
  - name: Invoices
  - name: Recovery
  - name: Settings
  - name: Analytics
  - name: Checkout
  - name: Events
  - name: OAuth
  - name: Customer Checkout
  - name: Customer Identity
  - name: Customer Portal
paths:
  /checkout/{token}/pay:
    parameters:
      - name: token
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Customer Checkout
      summary: Pay a checkout session
      operationId: payCheckout
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - rail
              properties:
                rail:
                  $ref: '#/components/schemas/Rail'
                email:
                  type: string
                  format: email
      responses:
        '200':
          description: Result
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                  subscriptionId:
                    type: string
                    nullable: true
                  successUrl:
                    type: string
                    nullable: true
      security: []
components:
  schemas:
    Rail:
      type: string
      enum:
        - card
        - transfer
        - ussd
        - virtual_account
        - direct_debit
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: A secret key (sk_test_… / sk_live_…), OAuth token, or identity token.

````